Skip to main content
GET
/
sboms
/
{digest}
Checks if SBOM exists
curl --request GET \
  --url https://api.prd.rad.security/sboms/{digest} \
  --header 'Authorization: <api-key>'
import requests

url = "https://api.prd.rad.security/sboms/{digest}"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.prd.rad.security/sboms/{digest}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "decision": "<string>",
  "sbom": {
    "created_at": "<string>",
    "deleted_at": "<string>",
    "digest": "<string>",
    "name": "<string>",
    "s3_bucket": "<string>",
    "s3_key": "<string>",
    "s3_status": "<string>",
    "updated_at": "<string>"
  }
}
{
"status": 123,
"code": "<string>",
"request_id": "<string>",
"validation_details": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>",
"param": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Path Parameters

digest
string
required

Image digest to check

Response

OK

decision
string
sbom
object